<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.6"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>PS2 controller TRX: C:/Users/XW8400/Documents/ps2_ctrl_trx/lib/include/bb_spi.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">PS2 controller TRX
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.6 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('bb__spi_8h.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">bb_spi.h File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="bb__spi_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a78babeafebe2b438a7d7efe2d00b93f8"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="bb__spi_8h.html#a78babeafebe2b438a7d7efe2d00b93f8">BB_MOSI_PxM1</a>&#160;&#160;&#160;<a class="el" href="_n76_e003_8h.html#a158cd9cce563fa3a9cd1ba180ad2ce07">P0M1</a></td></tr>
<tr class="memdesc:a78babeafebe2b438a7d7efe2d00b93f8"><td class="mdescLeft">&#160;</td><td class="mdescRight">PxM1 register of the MOSI pin (assuming the pin is Px.y)  <br /></td></tr>
<tr class="separator:a78babeafebe2b438a7d7efe2d00b93f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cbfa81f9ab2ef85ac57d143d339d54b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="bb__spi_8h.html#a9cbfa81f9ab2ef85ac57d143d339d54b">BB_MOSI_PxM2</a>&#160;&#160;&#160;<a class="el" href="_n76_e003_8h.html#ac0705e0f1991d5b9cbc1b0f1a1a1c42b">P0M2</a></td></tr>
<tr class="memdesc:a9cbfa81f9ab2ef85ac57d143d339d54b"><td class="mdescLeft">&#160;</td><td class="mdescRight">PxM2 register of the MOSI pin (assuming the pin is Px.y)  <br /></td></tr>
<tr class="separator:a9cbfa81f9ab2ef85ac57d143d339d54b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e42694f35fc626afb85da93ff790147"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="bb__spi_8h.html#a8e42694f35fc626afb85da93ff790147">BB_MOSI_Px</a>&#160;&#160;&#160;<a class="el" href="_n76_e003_8h.html#a0b111a437bd810ce721cda60f0f6f42d">P0</a></td></tr>
<tr class="memdesc:a8e42694f35fc626afb85da93ff790147"><td class="mdescLeft">&#160;</td><td class="mdescRight">Px register of the MOSI pin (assuming the pin is Px.y)  <br /></td></tr>
<tr class="separator:a8e42694f35fc626afb85da93ff790147"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade4402999e632e4e1dde6c6eae129aee"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="bb__spi_8h.html#ade4402999e632e4e1dde6c6eae129aee">BB_MOSI_PIN</a>&#160;&#160;&#160;3</td></tr>
<tr class="memdesc:ade4402999e632e4e1dde6c6eae129aee"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pin number (y) of the MOSI pin (assuming the pin is Px.y)  <br /></td></tr>
<tr class="separator:ade4402999e632e4e1dde6c6eae129aee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafd04d2a886bae80f495e3025daba261"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="bb__spi_8h.html#aafd04d2a886bae80f495e3025daba261">BB_MISO_PxM1</a>&#160;&#160;&#160;<a class="el" href="_n76_e003_8h.html#ab329e52f8fc27b1fde769167d6699313">P1M1</a></td></tr>
<tr class="memdesc:aafd04d2a886bae80f495e3025daba261"><td class="mdescLeft">&#160;</td><td class="mdescRight">PxM1 register of the MISO pin (assuming the pin is Px.y)  <br /></td></tr>
<tr class="separator:aafd04d2a886bae80f495e3025daba261"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a971af60207de56c2cb2c73d1572091c6"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="bb__spi_8h.html#a971af60207de56c2cb2c73d1572091c6">BB_MISO_PxM2</a>&#160;&#160;&#160;<a class="el" href="_n76_e003_8h.html#a7b410c6a3e25d31e2794b20090c98786">P1M2</a></td></tr>
<tr class="memdesc:a971af60207de56c2cb2c73d1572091c6"><td class="mdescLeft">&#160;</td><td class="mdescRight">PxM2 register of the MISO pin (assuming the pin is Px.y)  <br /></td></tr>
<tr class="separator:a971af60207de56c2cb2c73d1572091c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4452378a67f4c9a06dc3a288eaa9edee"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="bb__spi_8h.html#a4452378a67f4c9a06dc3a288eaa9edee">BB_MISO_Px</a>&#160;&#160;&#160;<a class="el" href="_n76_e003_8h.html#a064e921a8b02f66fd1e90b6b36298773">P1</a></td></tr>
<tr class="memdesc:a4452378a67f4c9a06dc3a288eaa9edee"><td class="mdescLeft">&#160;</td><td class="mdescRight">Px register of the MISO pin (assuming the pin is Px.y)  <br /></td></tr>
<tr class="separator:a4452378a67f4c9a06dc3a288eaa9edee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae74f28006d9b725541bbce08b0f15591"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="bb__spi_8h.html#ae74f28006d9b725541bbce08b0f15591">BB_MISO_PIN</a>&#160;&#160;&#160;5</td></tr>
<tr class="memdesc:ae74f28006d9b725541bbce08b0f15591"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pin number (y) of the MISO pin (assuming the pin is Px.y)  <br /></td></tr>
<tr class="separator:ae74f28006d9b725541bbce08b0f15591"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d3db48b6bf5b48f39fb7775bc3d0e09"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="bb__spi_8h.html#a1d3db48b6bf5b48f39fb7775bc3d0e09">BB_SCK_PxM1</a>&#160;&#160;&#160;<a class="el" href="_n76_e003_8h.html#a158cd9cce563fa3a9cd1ba180ad2ce07">P0M1</a></td></tr>
<tr class="memdesc:a1d3db48b6bf5b48f39fb7775bc3d0e09"><td class="mdescLeft">&#160;</td><td class="mdescRight">PxM1 register of the SCK pin (assuming the pin is Px.y)  <br /></td></tr>
<tr class="separator:a1d3db48b6bf5b48f39fb7775bc3d0e09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a791dfa6e033536379b950d8285bb53ba"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="bb__spi_8h.html#a791dfa6e033536379b950d8285bb53ba">BB_SCK_PxM2</a>&#160;&#160;&#160;<a class="el" href="_n76_e003_8h.html#ac0705e0f1991d5b9cbc1b0f1a1a1c42b">P0M2</a></td></tr>
<tr class="memdesc:a791dfa6e033536379b950d8285bb53ba"><td class="mdescLeft">&#160;</td><td class="mdescRight">PxM2 register of the SCK pin (assuming the pin is Px.y)  <br /></td></tr>
<tr class="separator:a791dfa6e033536379b950d8285bb53ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c82f817ed3da992029e82107c65df56"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="bb__spi_8h.html#a8c82f817ed3da992029e82107c65df56">BB_SCK_Px</a>&#160;&#160;&#160;<a class="el" href="_n76_e003_8h.html#a0b111a437bd810ce721cda60f0f6f42d">P0</a></td></tr>
<tr class="memdesc:a8c82f817ed3da992029e82107c65df56"><td class="mdescLeft">&#160;</td><td class="mdescRight">Px register of the SCK pin (assuming the pin is Px.y)  <br /></td></tr>
<tr class="separator:a8c82f817ed3da992029e82107c65df56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acfcce186e4b7839f784ceb982c95f511"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="bb__spi_8h.html#acfcce186e4b7839f784ceb982c95f511">BB_SCK_PIN</a>&#160;&#160;&#160;5</td></tr>
<tr class="memdesc:acfcce186e4b7839f784ceb982c95f511"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pin number (y) of the SCK pin (assuming the pin is Px.y)  <br /></td></tr>
<tr class="separator:acfcce186e4b7839f784ceb982c95f511"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:add9c161dbfec7e8d4e9f09b53b0bef1d"><td class="memItemLeft" align="right" valign="top">unsigned char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="bb__spi_8h.html#add9c161dbfec7e8d4e9f09b53b0bef1d">bb_spi_transfer</a> (unsigned char dat)</td></tr>
<tr class="memdesc:add9c161dbfec7e8d4e9f09b53b0bef1d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mode 0 bitbang SPI transfer.  <br /></td></tr>
<tr class="separator:add9c161dbfec7e8d4e9f09b53b0bef1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f474c1af6c0c4412a5c55714dcdf981"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="bb__spi_8h.html#a5f474c1af6c0c4412a5c55714dcdf981">bb_spi_init</a> (void)</td></tr>
<tr class="memdesc:a5f474c1af6c0c4412a5c55714dcdf981"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialize SPI bitbang using pins defined in <a class="el" href="bb__spi_8h.html">bb_spi.h</a>.  <br /></td></tr>
<tr class="separator:a5f474c1af6c0c4412a5c55714dcdf981"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ae74f28006d9b725541bbce08b0f15591" name="ae74f28006d9b725541bbce08b0f15591"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae74f28006d9b725541bbce08b0f15591">&#9670;&#160;</a></span>BB_MISO_PIN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define BB_MISO_PIN&#160;&#160;&#160;5</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pin number (y) of the MISO pin (assuming the pin is Px.y) </p>

</div>
</div>
<a id="a4452378a67f4c9a06dc3a288eaa9edee" name="a4452378a67f4c9a06dc3a288eaa9edee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4452378a67f4c9a06dc3a288eaa9edee">&#9670;&#160;</a></span>BB_MISO_Px</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define BB_MISO_Px&#160;&#160;&#160;<a class="el" href="_n76_e003_8h.html#a064e921a8b02f66fd1e90b6b36298773">P1</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Px register of the MISO pin (assuming the pin is Px.y) </p>

</div>
</div>
<a id="aafd04d2a886bae80f495e3025daba261" name="aafd04d2a886bae80f495e3025daba261"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aafd04d2a886bae80f495e3025daba261">&#9670;&#160;</a></span>BB_MISO_PxM1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define BB_MISO_PxM1&#160;&#160;&#160;<a class="el" href="_n76_e003_8h.html#ab329e52f8fc27b1fde769167d6699313">P1M1</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>PxM1 register of the MISO pin (assuming the pin is Px.y) </p>

</div>
</div>
<a id="a971af60207de56c2cb2c73d1572091c6" name="a971af60207de56c2cb2c73d1572091c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a971af60207de56c2cb2c73d1572091c6">&#9670;&#160;</a></span>BB_MISO_PxM2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define BB_MISO_PxM2&#160;&#160;&#160;<a class="el" href="_n76_e003_8h.html#a7b410c6a3e25d31e2794b20090c98786">P1M2</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>PxM2 register of the MISO pin (assuming the pin is Px.y) </p>

</div>
</div>
<a id="ade4402999e632e4e1dde6c6eae129aee" name="ade4402999e632e4e1dde6c6eae129aee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade4402999e632e4e1dde6c6eae129aee">&#9670;&#160;</a></span>BB_MOSI_PIN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define BB_MOSI_PIN&#160;&#160;&#160;3</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pin number (y) of the MOSI pin (assuming the pin is Px.y) </p>

</div>
</div>
<a id="a8e42694f35fc626afb85da93ff790147" name="a8e42694f35fc626afb85da93ff790147"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e42694f35fc626afb85da93ff790147">&#9670;&#160;</a></span>BB_MOSI_Px</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define BB_MOSI_Px&#160;&#160;&#160;<a class="el" href="_n76_e003_8h.html#a0b111a437bd810ce721cda60f0f6f42d">P0</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Px register of the MOSI pin (assuming the pin is Px.y) </p>

</div>
</div>
<a id="a78babeafebe2b438a7d7efe2d00b93f8" name="a78babeafebe2b438a7d7efe2d00b93f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a78babeafebe2b438a7d7efe2d00b93f8">&#9670;&#160;</a></span>BB_MOSI_PxM1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define BB_MOSI_PxM1&#160;&#160;&#160;<a class="el" href="_n76_e003_8h.html#a158cd9cce563fa3a9cd1ba180ad2ce07">P0M1</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>PxM1 register of the MOSI pin (assuming the pin is Px.y) </p>

</div>
</div>
<a id="a9cbfa81f9ab2ef85ac57d143d339d54b" name="a9cbfa81f9ab2ef85ac57d143d339d54b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9cbfa81f9ab2ef85ac57d143d339d54b">&#9670;&#160;</a></span>BB_MOSI_PxM2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define BB_MOSI_PxM2&#160;&#160;&#160;<a class="el" href="_n76_e003_8h.html#ac0705e0f1991d5b9cbc1b0f1a1a1c42b">P0M2</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>PxM2 register of the MOSI pin (assuming the pin is Px.y) </p>

</div>
</div>
<a id="acfcce186e4b7839f784ceb982c95f511" name="acfcce186e4b7839f784ceb982c95f511"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acfcce186e4b7839f784ceb982c95f511">&#9670;&#160;</a></span>BB_SCK_PIN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define BB_SCK_PIN&#160;&#160;&#160;5</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pin number (y) of the SCK pin (assuming the pin is Px.y) </p>

</div>
</div>
<a id="a8c82f817ed3da992029e82107c65df56" name="a8c82f817ed3da992029e82107c65df56"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8c82f817ed3da992029e82107c65df56">&#9670;&#160;</a></span>BB_SCK_Px</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define BB_SCK_Px&#160;&#160;&#160;<a class="el" href="_n76_e003_8h.html#a0b111a437bd810ce721cda60f0f6f42d">P0</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Px register of the SCK pin (assuming the pin is Px.y) </p>

</div>
</div>
<a id="a1d3db48b6bf5b48f39fb7775bc3d0e09" name="a1d3db48b6bf5b48f39fb7775bc3d0e09"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d3db48b6bf5b48f39fb7775bc3d0e09">&#9670;&#160;</a></span>BB_SCK_PxM1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define BB_SCK_PxM1&#160;&#160;&#160;<a class="el" href="_n76_e003_8h.html#a158cd9cce563fa3a9cd1ba180ad2ce07">P0M1</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>PxM1 register of the SCK pin (assuming the pin is Px.y) </p>

</div>
</div>
<a id="a791dfa6e033536379b950d8285bb53ba" name="a791dfa6e033536379b950d8285bb53ba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a791dfa6e033536379b950d8285bb53ba">&#9670;&#160;</a></span>BB_SCK_PxM2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define BB_SCK_PxM2&#160;&#160;&#160;<a class="el" href="_n76_e003_8h.html#ac0705e0f1991d5b9cbc1b0f1a1a1c42b">P0M2</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>PxM2 register of the SCK pin (assuming the pin is Px.y) </p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a5f474c1af6c0c4412a5c55714dcdf981" name="a5f474c1af6c0c4412a5c55714dcdf981"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5f474c1af6c0c4412a5c55714dcdf981">&#9670;&#160;</a></span>bb_spi_init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void bb_spi_init </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initialize SPI bitbang using pins defined in <a class="el" href="bb__spi_8h.html">bb_spi.h</a>. </p>

</div>
</div>
<a id="add9c161dbfec7e8d4e9f09b53b0bef1d" name="add9c161dbfec7e8d4e9f09b53b0bef1d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add9c161dbfec7e8d4e9f09b53b0bef1d">&#9670;&#160;</a></span>bb_spi_transfer()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned char bb_spi_transfer </td>
          <td>(</td>
          <td class="paramtype">unsigned char&#160;</td>
          <td class="paramname"><em>dat</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Mode 0 bitbang SPI transfer. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dat</td><td>Data to send </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_b116ddd94a245d490f1483cfe96d55a6.html">ps2_ctrl_trx</a></li><li class="navelem"><a class="el" href="dir_1a84bb234c89b52eac6ccacceb8c95a3.html">lib</a></li><li class="navelem"><a class="el" href="dir_fa75ccbeaa2e37b9dd3999ea62d2e5d8.html">include</a></li><li class="navelem"><a class="el" href="bb__spi_8h.html">bb_spi.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.6 </li>
  </ul>
</div>
</body>
</html>
